package com.flossom.miniProgram.service.impl;

import com.flossom.common.core.domain.entity.WxUserScriptLog;
import com.flossom.common.core.enums.Status;
import com.flossom.common.core.mapper.WxUserScriptLogMapper;
import com.flossom.common.security.utils.SecurityUtils;
import com.flossom.miniProgram.service.IWxUserScriptLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class WxUserScriptLogServiceImpl implements IWxUserScriptLogService {

    @Autowired
    private WxUserScriptLogMapper wxUserScriptLogMapper;

    @Override
    public List<WxUserScriptLog> selectWxUserScriptLogList() {
        WxUserScriptLog query = new WxUserScriptLog();
        // 消息归属人
        query.setWxUserId(SecurityUtils.getLoginUser().getWxUserMember().getId());
        // 消息状态正常
        query.setStatus(Status.OK.getCode());
        return wxUserScriptLogMapper.selectWxUserScriptLogList(query);
    }

    @Override
    public Integer getNoReadMessageNum() {
        WxUserScriptLog query = new WxUserScriptLog();
        // 消息归属人
        query.setWxUserId(SecurityUtils.getLoginUser().getWxUserid());
        // 消息状态正常
        query.setStatus(Status.OK.getCode());
        // 未读
        query.setIsRead(0);
        return wxUserScriptLogMapper.getNoReadMessageNum(query);
    }

    @Override
    public void hasBeenRead() {
        WxUserScriptLog query = new WxUserScriptLog();
        // 消息归属人
        query.setWxUserId(SecurityUtils.getLoginUser().getWxUserid());
        // 消息状态正常
        query.setStatus(Status.OK.getCode());
        // 未读
        query.setIsRead(0);
        wxUserScriptLogMapper.hasBeenRead(query);
    }
}
